org.codehaus.groovy.reflection

## Class CachedField

- java.lang.Object
- - groovy.lang.MetaProperty
  - - org.codehaus.groovy.reflection.CachedField

    public class CachedField
    extends MetaProperty

### Field Summary

Fields
`Field` `field`

### Fields inherited from class groovy.lang.MetaProperty

`name, PROPERTY_SET_PREFIX, type`

### Constructor Summary

Constructors
Constructor and Description
`CachedField(Field field)`

### Method Summary

Methods
`int` `getModifiers()`
`Object` `getProperty(Object object)`
`boolean` `isFinal()`
`boolean` `isStatic()`
`void` `setProperty(Object object, Object newValue)` Sets the property on the given object to the new value

### Methods inherited from class groovy.lang.MetaProperty

`getGetterName, getName, getSetterName, getType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### field

    public final Field field

### Constructor Detail

#### CachedField

    public CachedField(Field field)

### Method Detail

#### isStatic

    public boolean isStatic()

#### isFinal

    public boolean isFinal()

#### getModifiers

    public int getModifiers()

Overrides:
  `getModifiers` in class `MetaProperty`

#### getProperty

    public Object getProperty(Object object)

Specified by:
  `getProperty` in class `MetaProperty`
Returns:
  the property of the given object
Throws:
  `RuntimeException` - if the property could not be evaluated

#### setProperty

    public void setProperty(Object object,
                   Object newValue)

Sets the property on the given object to the new value

Specified by:
  `setProperty` in class `MetaProperty`
Parameters:
  `object` - on which to set the property
  `newValue` - the new value of the property
Throws:
  `RuntimeException` - if the property could not be set